package com.yida.data.common.core.common;

/**
 * @author sweeter
 * @date 2019/6/17
 * 消息返回类型
 */
public enum ResultMsgType {
    /**
     * 消息返回类型
     */
    SUCCESS("成功", 200),
    IMPORT_EXCEL_SUCCESS("导入成功", 200),

    FAIL("系统内部异常", 500),
    QUERY_FAIL("查询失败", 500),
    SAVE_FAIL("保存失败", 500),
    DELETE_FAIL("删除失败", 500),
    CHECK_FAIL("验证失败", 500),

    IMPORT_EXCEL_FAIL("导入失败！", 500),
    FILE_TYPE_ERROR("导入文件类型错误", 500),
    ID_CARD_EXIST("身份证号码已存在！", 500),
    STUDENT_CARD_NUMBER_EXIST("校园学号已存在！", 500),
    STUDENT_NUMBER_EXIST("学号已存在！", 500),
    STUDENT_NUMBER_NOT_EXIST("学号不存在！", 500),
    CAMPUS_NAME_ERROR("学区名称错误", 500),
    SECTION_NAME_ERROR("学段名称错误", 500),
    GRADE_NAME_ERROR("年级名称错误", 500),
    CLASS_NAME_ERROR("班级名称错误", 500),
    START_DATE_ERROR("入学时间错误", 500),

    SERVER_ERROR("服务器繁忙！请稍后再试", 500),

    LOGIN_INFO_ERROR("用户登陆信息异常", 500),
    PAY_TYPE_ERROR("暂不支持此支付方式", 500),
    ORDER_FAIL("创建订单失败！请稍后再试", 500),
    ORDER_NOT_FOUND("未找到订单信息", 500),
    ORDER_INVALID("该订单已失效！无法执行该操作", 500),
    ORDER_QUERY_FAIL("订单查询失败", 500),
    ORDER_CLOSE_FAIL("关闭订单失败", 500),
    ORDER_REFUND_FAIL("订单退款失败", 500),
    REFUND_QUERY_FAIL("退款查询失败", 500),
    ORDER_MONEY_ERROR("订单金额异常", 500),

    CARD_STATUS_ERROR("卡状态异常", 500),
    ;

    private final String value;
    private final Integer status;

    ResultMsgType(String value, Integer status) {
        this.value = value;
        this.status = status;
    }

    public String getValue() {
        return value;
    }

    public Integer getStatus() {
        return status;
    }
}
